zerops:
  - setup: nginx
    build:
      os: alpine
      deployFiles:
        - nginx.conf
        - index.html
        - static/
    run:
      os: alpine
      base: nginx@latest
      prepareCommands:
        - sudo apk update
        - sudo apk add vim
      ports:
        - port: 80
          httpSupport: true
      envReplace:
        target: index.html
        delimiter: '%%'
      siteConfigPath: nginx.conf

  # - setup: app
  #   build:
  #     os: alpine
  #     base: go@1
  #     buildCommands:
  #       - go build -o app main.go
  #     cache: true
  #     deployFiles:
  #       - app
  #   run:
  #     os: alpine
  #     base: alpine@latest
  #     ports:
  #       - port: 8080
  #         httpSupport: true
  #     start: ./app
  #
  # - setup: static
  #   build:
  #     deployFiles:
  #       - index.html
  #       - static/
  #   run:
  #     os: alpine
  #     base: static@latest
  #     ports:
  #       - port: 80
  #         httpSupport: true
